Subject: bug#11355: 24.1.50; Middle click on flyspell-mode fixes a word, but also paste text

From: Daniel de Angelis Cordeiro <[email-masked]>
Date: Wed, 2 May 2012 15:07:04 -0300

2012/4/27 Eli Zaretskii <[email-masked]>:
>> Date: Thu, 26 Apr 2012 23:59:47 -0300
>> From: Daniel de Angelis Cordeiro <[email-masked]>
>> Cc: [email-masked]
>>
>> Yes. :(
>>
>> I followed these steps:
>>
>> 1. run `emacs -Q /tmp/non-existent-file.tex`;
>> 2. wrote some text;
>> 3. copied it (with alt+w);
>> 4. run M-x flyspell-mode;
>> 5. middle click in a misspelled word;
>> 6. right click on one of the suggestions presented by the spell checker;
>>
>> The expected result: the word should be replaced with the suggestion
>> chose from the list
>> Actual result: the corrected word, with the copied text in the middle
>> of the word (the text is pasted in the middle of the word, on the
>> point where I clicked with the middle button of the mouse).
>
> What does "C-h l" show after all this?
>
> Also, is the copied text pasted if you click the left button on the
> suggestion presented by the speller, instead of the right button?

Sorry, it's the left button that I use to select the suggestion
presented by the speller, not the right.

In a simple example session, C-h l shows this:

<help-echo> M-x f l y s p <tab> m o <tab> <return>
M-x i s p <tab> - c <tab> h a <tab> <return> e n g
l <tab> <return> T e s t i n g SPC 1 , SPC 2 , SPC
3 . . . C-SPC <home> M-w <home> <right> <right> <right>
s s <right> <right> <left> <help-echo> <help-echo>
<help-echo> <down-mouse-2> <mouse-2> <help-echo> <help-echo>
C-h l